---
layout: default
title: Code Of Conduct
parent: Merlin6 User Guide
nav_order: 2
---

# Code Of Conduct
{: .no_toc }

## Table of contents
{: .no_toc .text-delta }

1. TOC
{:toc}

---

The basic principle is courtesy and consideration for other users.

* Merlin6 is a shared resource, not your laptop, therefore you are kindly requested to behave in a way you would be happy to see other users behaving towards you.
* Basic shell programming skills in Linux/UNIX environment is a must-have requirement for HPC users; a proficiency in shell programming would be greatly beneficial.
* The login nodes are for development and quick testing:
    * Is **strictly forbidden to run production jobs** on the login nodes.
    * Is **forbidden to run long processes** occupying big part of the resources.
    * *Any miss-behaving running processes according to these rules will be killed.*
* All production jobs should be submitted using the batch system.
* Make sure that no broken or run-away processes are left when your job is done. Keep the process space clean on all nodes.
* During the runtime of a job, is mandatory to make use of the ``scratch`` and ``/shared-scratch`` partitions for temporary data. This also applies to temporary data generated on login nodes:
    * Is **forbidden** to use the ``/data/user``, ``/data/project`` or ``/psi/home/`` for that purpose.
    * Always remove files you do not need any more (e.g. core dumps, temporary files) as early as possible. Keep the disk space clean on all nodes.
* Read description in **[Merlin6 directory structure](### Merlin6 directory structure)** for correct usage of each partition type.

The system administrator has the right to block the access to Merlin6 for an account violating the Code of Conduct, in which case the issue will be escalated to the user's supervisor.
The system administrator has the right to delete files in the *scratch* directories exceeding the above rules.
